using HarmonyLib;
using NCMS;
using ReflectionUtility;
using System.Collections.Generic;
using System.Linq;
using System;
using System.Reflection;
using System.Reflection.Emit;
using System.Threading;
using UnityEngine;
using UnityEngine.Purchasing.MiniJSON;
using static Config;
using NCMS.Utils;
using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;
using ai;

namespace AncientWar{
    [ModEntry]
    class Main : MonoBehaviour
    {
        private static bool tabInitialized = false;
        private static bool tabsHidden = false;
        void Awake()
        {
        }
       void Update()
        {
            if (!tabInitialized)
            {
                AncientWarTab.init();
                TabButtons.init();
                tabInitialized = true;
                AncientWarTab.powersTabComponent.powerButton.gameObject.SetActive(!tabsHidden);
            }
            if (!Config.gameLoaded)
            {
                return;
            }
        }
    }
}
